Base Endpoint

GET https://asxenergy.com.au/api/data

Parameters

NameTypeMandatoryDescription
futuresSTRINGYES (mutually exclusive with options)Can get historical data for a market code or a futures code.
Accepted Market codes:
  • au_electricity
  • nz_electricity
  • au_gas
  • au_environmental
  • nz_environmental
Accepted Futures codes:
  • Initial code. E.g. BNH, EVJ
  • Exact code. E.g. HNZ2026, GNU2025
optionsSTRINGYES (mutually exclusive with futures)Can get historical data for a market code or a futures code.
Accepted Market codes:
  • au_electricity
  • nz_electricity
Accepted Options codes:
  • Initial code. E.g. BNZ, HQZ2026
  • Exact code. E.g. HNZ20260012000, EAH20260010000C
dateSTRINGNODate in format yyyymmdd.
Default value: the latest date available of the specified code or market.

Access-Based Data Retrieval

The API enforces different data retrieval rules depending on the user’s access level:

  • Users with Historical data access can specify a date in the query parameter, and the API will return data for that specific date.
  • Users with End-of-day data access always receive the data of the latest available date, regardless of the date query parameter.

CSV Support

The API supports CSV-formatted responses when requested via the Accept header.

To receive data in CSV format, set the following header in your request:

Accept: text/csv

Examples

Futures Market Historical Data

Request:

GET https://asxenergy.com.au/api/data?futures=au_electricity

JSON Response:

{
    "futures": "au_electricity",
    "date": "20250227",
    "data": [
        {
            "code": "BNH2025",
            "date": "20250227",
            "bid_size": "3",
            "bid": "84.15",
            "ask_size": "1",
            "ask": "85.40",
            "first": "86.00",
            "high": "86.50",
            "low": "83.75",
            "settle": "84.50",
            "volume": "43",
            "open_interest": "1920"
        },
        // ...
    ]
}

CSV Response:

code,date,bid_size,bid,ask_size,ask,first,high,low,settle,volume,open_interest
BNH2025,20250227,3,84.15,1,85.40,86.00,86.50,83.75,84.50,43,1920
BNH2026,20250227,1,124.00,2,124.50,125.01,126.00,124.00,124.00,28,1044
BNH2027,20250227,3,122.80,3,124.50,123.82,123.82,123.30,123.30,6,375
BNH2028,20250227,1,122.00,2,125.00,124.14,124.14,123.64,123.65,5,24
...

Options Code Historical Data

Request:

GET https://asxenergy.com.au/api/data?options=HNZ2026&date=20250401

JSON Response:

{
    "options": "HNZ2026",
    "date": "20250401",
    "data": {
        "put": [
            {
                "code": "HNZ20260004000P",
                "date": "20250401",
                "bid_size": "0",
                "bid": "0.00",
                "ask_size": "0",
                "ask": "0.00",
                "first": "0.00",
                "high": "0.00",
                "low": "0.00",
                "settle": "0.00",
                "volume": "0",
                "open_interest": "25",
                "implied_volatility": "30.97"
            },
            // ...
        ],
        "call": [
            {
                "code": "HNZ20260004000C",
                "date": "20250401",
                "bid_size": "0",
                "bid": "0.00",
                "ask_size": "0",
                "ask": "0.00",
                "first": "0.00",
                "high": "0.00",
                "low": "0.00",
                "settle": "80.30",
                "volume": "0",
                "open_interest": "25",
                "implied_volatility": "13.00"
            },
            // ...
        ]
    }
}

CSV Response:

code,date,bid_size,bid,ask_size,ask,first,high,low,settle,volume,open_interest,implied_volatility
HNZ20260004000C,20250401,0,0.00,0,0.00,0.00,0.00,0.00,80.30,0,25,13.00
HNZ20260004000P,20250401,0,0.00,0,0.00,0.00,0.00,0.00,0.00,0,25,30.97
HNZ20260004100C,20250401,0,0.00,0,0.00,0.00,0.00,0.00,79.30,0,0,13.00
HNZ20260004100P,20250401,0,0.00,0,0.00,0.00,0.00,0.00,0.00,0,0,30.97
HNZ20260004200C,20250401,0,0.00,0,0.00,0.00,0.00,0.00,78.30,0,0,13.00
HNZ20260004200P,20250401,0,0.00,0,0.00,0.00,0.00,0.00,0.00,0,0,30.97
...